summaryrefslogtreecommitdiff
path: root/qa/522
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/522
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/522')
-rwxr-xr-xqa/52250
1 files changed, 50 insertions, 0 deletions
diff --git a/qa/522 b/qa/522
new file mode 100755
index 0000000..62ad72f
--- /dev/null
+++ b/qa/522
@@ -0,0 +1,50 @@
+#!/bin/sh
+# PCP QA Test No. 522
+# #655108 $PCP_RC_DIR/pcp leaves files in /var/tmp
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+$sudo rm -f /var/tmp/*.pmcheck
+_change_config pmlogger on
+$sudo $PCP_RC_DIR/pcp restart | _filter_pcp_start
+
+_wait_for_pmlogger
+
+# and wait some more for other pmloggers and stuff pmlogger_check will
+# do before _start_pmcheck() in $PCP_RC_DIR/pcp actually gets to do
+# the "rm"
+#
+st=0; cnt=0; while [ $st -ne 1 ] ; do
+ sleep 10
+ ps $PCP_PS_ALL_FLAGS | grep pmcheck | grep -v grep > $tmp.ps
+ test -s $tmp.ps
+ st=$?
+ cnt=`expr $cnt + 1`;
+ if [ $cnt -gt 12 ] ; then
+ echo Waited too long for those ...
+ cat $tmp.ps
+ break
+ fi
+done
+
+rm -f $tmp.ps
+
+echo "Expect no files ..."
+echo /var/tmp/*.pmcheck
+
+# success, all done
+status=0
+exit